Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81899 - (USB)wrong driver loaded when Zaurus USB cradle is attached
Summary: (USB)wrong driver loaded when Zaurus USB cradle is attached
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-15 00:17 UTC by ajs
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:24 UTC


Attachments (Terms of Use)
log entries with the standard configuration (deleted)
2003-01-15 00:20 UTC, ajs
no flags Details
log entries with CDCEther in /etc/hotplug/blacklist (deleted)
2003-01-15 00:23 UTC, ajs
no flags Details
Log messages produced by plugging in the Zaurus (deleted)
2003-06-06 16:18 UTC, ajs
no flags Details
/proc/bus/usb/device (deleted)
2004-08-20 20:36 UTC, ajs
no flags Details

Description ajs 2003-01-15 00:17:45 UTC
Description of problem:
When a Zaurus USB cradle is attached the kernel loads the CDCEther rather than
the usbnet module.

Version-Release number of selected component (if applicable):
2.4.20-2.2 and 2.4.20-2.13

How reproducible:
Always

Steps to Reproduce:
1. 'tail -t /var/log/messages'
2. plug in Zaurus
    
Actual results:
CDCEther driver is loaded

Expected results:
usbdev driver should be loaded

Additional info:
I'll add the log messages in a bit

Comment 1 ajs 2003-01-15 00:20:06 UTC
Created attachment 89364 [details]
log entries with the standard configuration

Comment 2 ajs 2003-01-15 00:23:01 UTC
Created attachment 89365 [details]
log entries with CDCEther in /etc/hotplug/blacklist

If I add CDCEther to /etc/hotplug/blacklist, then the proper module gets
loaded.

Comment 3 Pete Zaitcev 2003-01-15 17:01:01 UTC
http://groups.google.com/groups?hl=en&lr=&ie=UTF-8&oe=UTF-8&safe=off&threadm=20030112045005%243abb%40gated-at.bofh.it&rnum=1&prev=/groups%3Fq%3Dbrad%2Bhards%2Bcdcether%26hl%3Den%26lr%3D%26ie%3DUTF-8%26oe%3DUTF-8%26safe%3Doff%26scoring%3Dd%26selm%3D20030112045005%25243abb%2540gated-at.bofh.it%26rnum%3D1

From: Brad Hards <bhards@bigpond.net.au>
Newsgroups: linux.kernel
Subject: Re: proposed changes for CDCEther module?
Date: Sun, 12 Jan 2003 15:30:16 +1100
Message-ID: <200301121530.17044.bhards@bigpond.net.au>
References: <Pine.LNX.4.44.0301111625260.15841-100000@dell>

>   i also *think* i remember someone saying that that was
> going to be "fixed" in some way with a subsequent release
> of the kernel.  can anyone refresh my memory as to what
> that fix might have involved?  was this issue with CDCEther
> considered a "bug" that needed fixing?  or am i misremembering?

It is, but I haven't got around to doing it yet. Please give me a bit of time 
to get it coded, tested, and pushed to Greg K-H.

It is actually a bug in the Zaurus code, since it is claiming to be compliant 
with the CDC Ethernet class specification, but it isn't.

Brad


Comment 4 Pete Zaitcev 2003-01-15 17:02:23 UTC
Latest changes to Zaurus part of usbnet were coming from David-B
(larger send length for certain framings, and removal of private crc table).



Comment 5 ajs 2003-01-15 17:51:11 UTC
Is there a way to use /etc/hotplug/usb.handmap rather than
/etc/hotplug/blacklist  to get the proper device driver to load.  I tried that
but I couldn't get it to work.  I didn't really know what I was doing though.

Comment 6 Pete Zaitcev 2003-06-05 21:15:34 UTC
Is the 2.4.20-18.9 still broken for you?


Comment 7 ajs 2003-06-06 16:18:18 UTC
Created attachment 92207 [details]
Log messages produced by plugging in the Zaurus

The latest Red Hat kernel still loads the CDCEther module.

Attached are the log messages produced.

Comment 8 Pete Zaitcev 2004-08-20 08:17:24 UTC
Is this a problem still? If yes, what kernel version?
Also, I'll need a copy of /proc/bus/usb/devices.


Comment 9 ajs 2004-08-20 20:35:06 UTC
There is no longer quite the same problem: now neither module is
loaded.  I'm currently using kernel-2.6.8-1.521, but this has been the
behavior for a while.

Comment 10 ajs 2004-08-20 20:36:41 UTC
Created attachment 102940 [details]
/proc/bus/usb/device

Here is /proc/bus/usb/device with the Zaurus plugged in and after 'modprobe
usbnet'

Comment 11 ajs 2004-08-20 20:37:25 UTC
There is no longer quite the same problem: now neither module is
loaded.  I'm currently using kernel-2.6.8-1.521, but this has been the
behavior for a while.

Comment 12 Arenas Belon, Carlo Marcelo 2004-09-20 00:00:56 UTC
works for me on fedora core 3 test 1 (amd64) using:

  kernel-2.6.8-1.541
  hotplug-2004_04_01-4
  initscripts-7.80-1
  udev-030-26

and the following initscript for usb0
(/etc/sysconfig/network-scripts/ifcfg-usb0) :

# Zaurus
DEVICE=usb0
ONBOOT=no
BOOTPROTO=dhcp

configures/unconfigures correctly and loads usbnet, as far as zaurus
(5500 with ROM 3.10) is configured to use USB - TCP/IP (advanced).

Comment 13 Bugzilla owner 2004-09-30 15:40:24 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.